<?php

class Result extends Model
{
    protected $dbTable = "result";
    protected $dbFields = array(
        'tournament' =>  ['type' => 'text', 'required'], //tournament ID
        'run' =>  ['type' => 'text', 'required'],       //run ID
        'user' =>  ['type' => 'text', 'required'],       //user ID

        'disqualified' =>   ['type' => 'bool','default'=>0],
        'refusals' =>   ['type' => 'int','default'=>0],
        'errors' =>   ['type' => 'int','default'=>0],
        'timefaults' =>   ['type' => 'int','default'=>0],
        'runtime' =>   ['type' => 'int','default'=>0],
        'penalties' =>   ['type' => 'int','default'=>0],
        'rating' =>   ['type' => 'text'],
        'points' =>   ['type' => 'int','default'=>0],
        'speed' =>   ['type' => 'int','default'=>0], //in m/sec
        'ranking' =>   ['type' => 'int','default'=>0],
        'photos' =>   ['type' => 'array','default'=>[]],
        'videos' =>   ['type' => 'array','default'=>[]],
        'memo' =>   ['type' => 'text'],
        'public' =>   ['type' => 'bool','default'=>1],
        
    );

}
